WAVE installation notes

For its GUI, WAVE requires the XView toolkit, which is available only as a 32-bit package. On 32-bit platforms, WAVE is installed automatically when installing the WFDB Software Package if you have installed the X11 and XView development packages (see below). On 64-bit GNU/Linux platforms, install the WFDB Software Package (without WAVE) first, then follow the instructions for your platform below to install WAVE. We have not tested WAVE on 64-bit Mac OS X or MS-Windows platforms. If your 64-bit platform is not mentioned below, we have not tested it, and you may wish to try running WAVE on a 32-bit platform in a virtual machine.

WAVE has been frozen since mid-2010, and we are not planning to update it. LightWAVE is a web application that runs in any modern browser, providing superior waveform viewing and most of the annotation-editing capabilities of WAVE, with no software installation required. LightWAVE is currently limited to data available in PhysioBank and PhysioNetWorks, however, and it does not yet offer the flexible control and integration of external signal-processing and data analysis applications available using WAVE.

Installing WAVE on 32-bit platforms

If you are unsure if yours is a 32-bit platform, run the command

uname -m

If the output is x86_64, yours is a 64-bit platform, and the instructions in this section will not work for you. Look for instructions for your platform elsewhere on this page.

Install the X11 and XView development packages and the packages they require if they have not been installed already.

Check for the presence of Xlib.h, which is usually found in /usr/include/X11, to see if the X11 development package has been installed. Check for the presence of xview, which is usually found in /usr/include or /usr/openwin/include, to see if the XView development package has been installed.

The X11 developer's toolkit is usually contained in a package named libX11-devel or libX11-dev; on some older platforms, the package may be called xorg-x11-devel or XFree86-devel.

PhysioNet's XView pages contain instructions for installing XView on supported platforms. Be sure to install not only the basic xview package, but also the xview-clients and xview-devel packages. On Ubuntu or Debian, 'apt-get install xviewg-dev' suffices.

Once the X11 and XView development packages have been installed, follow the WFDB quick-start instructions for your platform. Check that the summary output of ./configure shows that WAVE will be compiled; if not, check that all of the prerequisites are installed and rerun ./configure.

Installing WAVE on 64-bit Fedora (and similar) platforms

On 64-bit Fedora, simply install the WFDB Software Package following the WFDB quick-start for GNU/Linux instructions, then run (as root) the command

./install-wave32

within the WFDB source directory that also contains configure, to install WAVE and a 32-bit WFDB library in subdirectories of /usr/local. To install in another location, use

./install-wave32 --prefix=/another/location

Note that this command must still be run as root even if root privileges are not needed to write in /another/location, unless the 32-bit libcurl, X11, and XView development packages have already been installed.

This method should also work on Red Hat Linux, Centos, Scientific Linux, and other RPM-based distributions based on Fedora or Red Hat. See the comments in install-wave32 for troubleshooting hints, which may require changing repository names in the script for your Linux platform.

Installing WAVE on 64-bit Debian or Ubuntu

Be sure to back up your work before starting. Although these instructions have been carefully tested, there are multiple opportunities to create misconfigurations that can be very difficult to diagnose and correct if you miss a step.

  1. If you have not already done so, install the WFDB Software Package first, then return here.
  2. Use sudo -s (or su) to get root privileges, which are needed for most of the steps below.
  3. Ensure that i386 is enabled in your dpkg configuration:
    dpkg --add-architecture i386
    
  4. Get the latest updates:
    apt-get update
    
  5. On Debian 7 (wheezy) or Ubuntu 12.10 (quantal) or earlier: Version 1.1.1-2 of the xbitmaps package is marked as multiarch-safe, but is otherwise identical to the current version (1.1.1-1) in Wheezy. Download and install it:
    wget http://http.us.debian.org/debian/pool/main/x/xbitmaps/xbitmaps_1.1.1-2_all.deb
    dpkg -i xbitmaps_1.1.1-2_all.deb
    
    (This method of installing the package avoids having to enable the Debian testing or unstable repositories.)
  6. Install the XView library and developer packages, the 32-bit libcurl library and developer packages, and the remaining 32-bit compatibility tools and libraries:
    apt-get remove libcurl4-openssl-dev:amd64
    apt-get install xviewg-dev:i386 libcurl4-openssl-dev:i386 build-essential gcc-multilib
    
    This step will uninstall 64-bit development packages that conflict with the 32-bit libcurl development package and its dependencies, since they cannot be installed simultaneously. You will be able to reinstall them in the final step.
  7. You are now ready to install a 32-bit version of the WFDB Software Package, including WAVE. Run the command
    ./install-wave32 -q
    
    within the WFDB source directory that also contains configure, to install WAVE and a 32-bit WFDB library in subdirectories of /usr/local. To install in another location, use
    ./install-wave32 -q --prefix=/another/location
    
  8. Restore the 64-bit libcurl development package and its dependencies that were removed in step 5 (you will need root privileges again for this step):
    apt-get remove libcurl4-openssl-dev:i386
    apt-get install libcurl4-openssl-dev
    
  9. Ubuntu only: If you do not already have a set of X fonts installed, install them:
    apt-get install xfonts-100dpi
    xset +fp /usr/share/fonts/X11/100dpi
    xset fp rehash
    

If you need to compile an updated or customized version of WAVE in the future, reinstall libcurl4-openssl-dev:i386 first, then repeat steps 6 and 7; it is not necessary to repeat any of the other steps above.

Questions and Comments

If you would like help understanding, using, or downloading content, please see our Frequently Asked Questions.

If you have any comments, feedback, or particular questions regarding this page, please send them to the webmaster.

Comments and issues can also be raised on PhysioNet's GitHub page.

Updated Thursday, 15 December 2016 at 22:01 BRST

PhysioNet is supported by the National Institute of General Medical Sciences (NIGMS) and the National Institute of Biomedical Imaging and Bioengineering (NIBIB) under NIH grant number 2R01GM104987-09.